Skip to main content
POST
/
openapi
/
v1
/
task
/
clone-voice
/
create
Create voice clone (sync)
curl --request POST \
  --url https://api.vmeg.ai/openapi/v1/task/clone-voice/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "voiceName": "<string>",
  "provider": "V1",
  "refAudio": "<string>",
  "sampleLanguage": "zh-CN",
  "sampleText": "<string>"
}
'
{
  "code": 200,
  "message": "",
  "data": {
    "taskId": "<string>",
    "voiceId": "<string>",
    "createdAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vmeg.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Send your API Key in the Authorization header (Bearer <api_key>). See Authentication.

Headers

X-Idempotency-Key
string
required

Required on mutating POST requests that create tasks or change persisted data (max 64 characters). See Idempotency.

Maximum string length: 64

Body

application/json
voiceName
string

Display name for the cloned voice in your asset library

provider
enum<string>

Clone engine version (V1V5). See Supported clone methods.

Available options:
V1,
V2,
V3,
V4,
V5
Example:

"V1"

refAudio
string

HTTPS reference audio URL

sampleLanguage
string

Sample language locale (BCP-47). See Supported languages.

Example:

"zh-CN"

sampleText
string

Optional transcript of refAudio to improve clone quality

Response

200 - application/json

Success

code
integer
required

Business code; 200 means success

Example:

200

message
string

Human-readable detail when code is not success

Example:

""

data
object

Clone result returned in the synchronous HTTP response.